Increment the message broker heap space
Aug 28, 2015 12:43 PM - Andrea Dell'’Amico

Status: Closed Start date: Aug 23, 2015
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

activemq expects 2.3 GB of usable memory but the reserved java heap space is set as the 2G default.

To effectively increment the default heap space, the variable ACTIVEMQ_OPTS_MEMORY must be set inside the
/etc/default/activemq file.

Example:
ACTIVEMQ_OPTS_MEMORY="-Xms2.5G -Xmx2.5G”

A restart of the activemq service is needed.

History

#1 - Sep 07, 2015 12:27 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 90

| added the following line to /etc/default/activemq:
ACTIVEMQ_OPTS_MEMORY="-Xms2500m -Xmx2500m”

The service needs a restart to see them.

#2 - Oct 01, 2015 05:55 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

The new settings are active.
